<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".UserLoginActivity"
    tools:showIn="@layout/activity_user_login">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@mipmap/red_background_image"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="40dp"
            android:orientation="vertical">

            <ImageView
                android:layout_width="150dip"
                android:layout_height="50dip"
                android:layout_gravity="center"
                android:layout_marginTop="100dip"
                android:layout_marginBottom="20dp"
                android:background="@mipmap/loreal_india" />

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="130dip"
                android:layout_gravity="center"
                android:layout_marginBottom="20dp"
                android:background="@mipmap/project_care" />



            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="20dip"
                android:gravity="center"
                android:text="Welcome to Shopper Sto management System !"
                android:textColor="@color/white"
                android:textSize="16sp"
                android:textStyle="bold"
                android:visibility="gone" />

            <TextView
                android:id="@+id/counter_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="5dip"
                android:gravity="center"
                android:text=""
                android:textStyle="bold"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_16sp" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/card_bg"
            android:layout_margin="10dip"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp"
                android:orientation="vertical"
                android:paddingBottom="10dip">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="5dip"
                    android:background="@drawable/edit_text_border"
                    android:orientation="horizontal"
                    android:padding="5dip"
                    android:visibility="gone">


                    <Spinner
                        android:id="@+id/sp_present"
                        android:layout_width="match_parent"
                        android:layout_height="35dip"
                        android:layout_centerHorizontal="true"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:textSize="@dimen/text_size_16sp"/>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="5dip"
                    android:background="@drawable/edit_text_border"
                    android:orientation="horizontal"
                    android:visibility="gone"
                    android:weightSum="4">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="5dp"
                            android:layout_marginBottom="5dp"
                            android:background="@mipmap/password"
                            android:padding="10dp"
                            android:scaleType="fitXY" />


                    </LinearLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="3"
                        android:textColorHint="@color/black"
                        app:passwordToggleEnabled="true"
                        app:passwordToggleTint="@color/black">

                        <EditText
                            android:id="@+id/user_password"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusableInTouchMode="true"
                            android:hint="Password"
                            android:imeOptions="actionUnspecified"
                            android:inputType="textPassword"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:textSize="@dimen/text_size_16sp"
                            android:textColor="@android:color/black"
                            android:textColorHint="@color/black"
                            app:backgroundTint="@color/black" />

                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="5dip"
                    android:orientation="horizontal"
                    android:paddingTop="5dp"
                    android:paddingBottom="2dp"
                    android:weightSum="3">

                    <LinearLayout
                        android:id="@+id/lay_ba"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@mipmap/ba_login_icon"
                            android:scaleType="fitXY" />


                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/lay_ma"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@mipmap/me_login_icon"
                            android:scaleType="fitXY" />


                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/lay_tba"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@mipmap/tba"
                            android:scaleType="fitXY" />

                    </LinearLayout>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="5dip"
                    android:layout_marginRight="5dip"
                    android:orientation="horizontal"
                    android:paddingTop="1dp"
                    android:paddingBottom="2dp"
                    android:weightSum="3">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/ba"
                            android:textColor="@color/white"
                            android:textSize="@dimen/text_size_16sp"
                            android:textStyle="bold" />


                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/me"
                            android:textColor="@color/white"
                            android:textSize="@dimen/text_size_16sp"
                            android:textStyle="bold" />


                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="@string/tba"
                            android:textColor="@color/white"
                            android:textSize="@dimen/text_size_16sp"
                            android:textStyle="bold" />

                    </LinearLayout>

                </LinearLayout>


                <Button
                    android:id="@+id/btncontinue"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20dip"
                    android:layout_marginTop="20dip"
                    android:layout_marginRight="20dip"
                    android:background="@drawable/rouded_corner"
                    android:text="CONTINUE"
                    android:textColor="@color/white"
                    android:textSize="@dimen/text_size_16sp"
                    android:visibility="gone" />
            </LinearLayout>

        </LinearLayout>

    </LinearLayout>

    <RelativeLayout
        android:id="@+id/linear"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true">

        <ImageView
            android:layout_marginBottom="@dimen/margin_30dp"
            android:layout_width="96dp"
            android:layout_height="96dp"
            android:layout_centerInParent="true"
            android:background="@mipmap/white_logo" />

    </RelativeLayout>

</RelativeLayout>